Bug 796015 - (CVE-2011-4967) CVE-2011-4967 tog-pegasus: xml hash table collision CPU usage DoS
CVE-2011-4967 tog-pegasus: xml hash table collision CPU usage DoS
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120221,repor...
: Security
Depends On:
Blocks: hashdos/oCERT-2011-003 796016
  Show dependency treegraph
 
Reported: 2012-02-21 22:21 EST by Kurt Seifried
Modified: 2016-11-08 11:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-02-21 22:21:10 EST
Juraj Somorovsky reported that certain XML parsers/servers are affected by the
same, or similar, flaw as the hash table collisions CPU usage denial of
service.  Sending a specially crafted message to an XML service can result in
longer processing time, which could lead to a denial of service.  It is
reported that this attack on XML can be applied on different XML nodes (such as
entities, element attributes, namespaces, various elements in the XML security,
etc.).

pegasus is written in C++ and contains an internal XML parser in XmlParser.cpp, 
upstream was contacted.
Comment 1 Kurt Seifried 2012-08-28 15:54:44 EDT
This is being corrected in pegasus 2.12:

http://bugzilla.openpegasus.org/show_bug.cgi?id=9182

The patches are available at:

http://bugzilla.openpegasus.org/show_bug.cgi?id=9374

The final patch is 170k+ but it's mostly the test cases (the actual patch is just a few dozen lines).
Comment 2 Stefan Cornelius 2014-05-21 08:27:40 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.